
Infrastructure - Bug #1239

mercury not setting error status on error returns

2011-01-18 18:54 - Rob Nahf

Status: Closed Start date: 2011-01-18

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: Sprint-2011.04   

Milestone: CCI-0.5 Story Points:  

Product Version: *   

Description

Discovered by integration tests CNRestURLTest.java:

mercury does not seem to be setting the httpStatus code for error returns.

===================================================================

restURL: http://cn-dev.dataone.org/cn/object?qt=solr

method: GET

*** http code = 200

*** contentStream = <?xml version="1.0"?>

Invalid value for: 'start': start may not be null and must be between 0-9

 

===================================================================

restURL: http://cn-dev.dataone.org/cn/object?qt=solr&pageSize=10&start=0

method: GET

*** http code = 200

*** contentStream = <?xml version="1.0"?>

null null

 

===================================================================

restURL: http://cn-dev.dataone.org/cn/object?qt=solr&pageSize=10&start=0&Fred=boy

method: GET

*** http code = 200

*** contentStream = <?xml version="1.0"?>

null null

 

History

#1 - 2011-01-24 04:57 - Dave Vieglais

- Target version changed from Sprint-2011.03 to Sprint-2011.04

- Position set to 42

#2 - 2011-01-31 03:05 - Robert Waltz

- Milestone set to CCI-0.5

#3 - 2011-01-31 03:05 - Robert Waltz

- Status changed from New to Closed
